Bug 741898 - RFE: Ability to see active as well as proposed configuration
RFE: Ability to see active as well as proposed configuration
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-tools (Show other bugs)
Development
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: grid-maint-list
MRG Quality Engineering
: FutureFeature
Depends On: 802510
Blocks: 850563 874946 874939
  Show dependency treegraph
 
Reported: 2011-09-28 08:03 EDT by Matthew Farrellee
Modified: 2015-09-27 22:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 874939 874946 (view as bug list)
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2011-09-28 08:03:07 EDT
Two important states in the wallaby database are the active configuration (currently deployed and running) and the proposed configuration (config being built, not yet activated).

The condor_configure_* tools only report the proposed configuration. For instance, condor_configure_pool -l -n node0 will display the configuration that would be active after the next --activate, not what is currently deployed on node0.

RFE is to add the ability to see the active configuration.
Comment 1 Will Benton 2011-09-28 08:11:48 EDT
The most recently activated configuration (i.e. a set of name-value pairs) for each node is available via the API, but the tools will probably need special API support if we're interested in getting more detailed information (e.g. group memberships and feature applications for the active configuration).
Comment 3 Luigi Toscano 2012-08-01 06:44:46 EDT
Is this for wallaby do-foo commands and also for condor_configure_pool -something? 
Will the initial implementation be only for node configuration or also the "more detailed information" (#1)?
Comment 4 Will Benton 2012-08-24 13:17:35 EDT
We can get some, but not all, of the "more detailed information" right now.  (That is, we can get group memberships for active configurations, but not feature applications for these groups.)  We also have API access to the list of entities that have been modified since the last successful activation.  So we could fairly trivially have a tool that shows the active configuration.  We could also have a tool that shows, for each modified node, how the low-level configuration has changed between the active and proposed configurations.

I believe that the best way to proceed is to have a wallaby shell command that handles these cases and not to build additional machinery into CCS/CCP, but Rob may have thoughts about this as well.
Comment 5 Robert Rati 2012-10-02 10:07:38 EDT
I agree with will here.  There may be some additional flags that might be required in the ccs/ccp relm, but wallaby shell commands to complete the task is the route to take.

Note You need to log in before you can comment on or make changes to this bug.